package com.zxhyis.toolss.logic

import android.util.Log
import com.zxhyis.toolss.BuildConfig

object LogEx {
    val isOpen = true
    val filterTAG = arrayOf(
        "com.zxhyis.toolss.notification.broadcast.ActionBroadcast",
//        "NotificationTimerTask",
//        "com.zxhyis.toolss.notification.NotificationHelper",
//        "NotificationEx",
//        "TimeUtils",
//        "LaunchesFragment"
    )

    fun logDebug(tag: String, content: String, isMust: Boolean = false) {
        if (isMust) {
            Log.e(tag, content)
        } else {
            if (!isOpen) return
            if (filterTAG.contains(tag)) return
            if (BuildConfig.DEBUG) {
                Log.e(tag, content)
            }
        }
    }
}